rem @echo off
if ""%1""=="" goto noparam

SET DLPATH=%~dp0%download.exe
SET BTPATH=%~dp0%killerbt
SET FNACMD_PATH=%~dp0%qcmd.exe
SET FNASH_PATH=%~dp0%fnash
SET FNARC_PATH=%~dp0%fnarc
SET ALIASRC_PATH=%~dp0%aliasrc

echo file:$PATH %DLPATH%
call "%DLPATH%" -f -t -1 -c FNAsh "%FNASH_PATH%"
call "%DLPATH%" -f -t -1 -c .fnarc "%FNARC_PATH%"
call "%DLPATH%" -f -t -1 -c .aliasrc "%ALIASRC_PATH%"
call "%FNACMD_PATH%" mount_usb_flash
call "%DLPATH%" -f -t -1 -c killerbt "%BTPATH%"
call "%DLPATH%" -f -t -1 -c %~nx1 %1

call "%FNACMD_PATH%" /bigfoot/tmp/killerbt file:///bigfoot/tmp/%~nx1

pause

exit

:noparam

@echo No file
pause
